NVDEFINESPACE(1)

NAME
nvdefinespace - Runs TPM2 nvdefinespace

DESCRIPTION
nvdefinespace

Runs TPM2_NV_DefineSpace

-ha NV index handle 01xxxxxx

-hi authorizing hierarchy (o, p) o owner, p platform p sets PLATFORMCREATE

[-pwdp
    password for hierarchy (default empty)]

[-hia
    hierarchy authorization (o, p)(default index authorization)]

default
    AUTHWRITE, AUTHREAD

o sets
    OWNERWRITE, OWNERREAD

p sets
    PPWRITE, PPREAD (platform)

[-pwdn
    password for NV index (default empty)] sets AUTHWRITE (if not PIN index), AUTHREAD

[-nalg
    name algorithm (sha1, sha256, sha384 sha512) (default sha256)]

[-sz
    data size in decimal (default 0)] Ignored for other than ordinary index

[-ty
    index type (o, c, b, e, p, f) (default ordinary)] ordinary, counter, bits, extend, pin pass, pin fail

[-pol
    policy file (default empty)] sets POLICYWRITE, POLICYREAD

[+at
    attributes to add (may be specified more than once)]

ppw (PPWRITE) ppr (PPREAD)

ow  (OWNERWRITE) or (OWNERREAD)

aw  (AUTHWRITE) ar (AUTHREAD)

wd  (WRITEDEFINE) gl (GLOBALLOCK)

rst (READ_STCLEAR) wst (WRITE_STCLEAR)

wa  (WRITEALL) ody (ORDERLY)

pold
    (POLICY_DELETE) stc (CLEAR_STCLEAR)

[-at
    attributes to delete (may be specified more than once)]

ppw (PPWRITE) ppr (PPREAD)

ow  (OWNERWRITE) or (OWNERREAD)

aw  (AUTHWRITE) ar (AUTHREAD)

pw  (POLICYWRITE) pr (POLICYREAD)

da  (NO_DA) (default set)

-se[0-2] session handle / attributes (default PWAP)

01  continue

20  command decrypt